Skip to main content
GET
/
devices
Python
import os
from miru_platform_sdk import Miru

client = Miru(
    api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
)
device_list = client.devices.list()
print(device_list)
{
  "object": "list",
  "limit": 10,
  "offset": 0,
  "has_more": false,
  "data": [
    {
      "object": "device",
      "id": "dvc_123",
      "name": "My Device",
      "status": "online",
      "agent_version": "v1.0.0",
      "last_connected_at": "2021-01-01T00:00:00Z",
      "last_disconnected_at": null,
      "created_at": "2021-01-01T00:00:00Z",
      "updated_at": "2021-01-01T00:00:00Z"
    }
  ],
  "total_count": 123
}
ScopeRequired
devices:readYes

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-03-09.tetons"

Query Parameters

offset
integer
default:0

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
Example:

0

limit
integer
default:10

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
Example:

10

order_by
enum<string>[]

Sort order for the device results.

Available options:
id:asc,
id:desc,
created_at:desc,
created_at:asc
Example:
["created_at:desc"]
expand
enum<string>[]

Fields to expand on each device in the list.

Available options:
total_count
id
string[]

The device IDs to filter by.

Example:
["dev_123"]
name
string[]

The device names to filter by.

Example:
["My Device"]
agent_version
string[]

The agent versions to filter by.

Example:
["v1.0.0"]

Response

200 - application/json

Successfully listed the devices.

object
enum<string>
required

The object type, which is always list.

Available options:
list
Example:

"list"

limit
integer
default:10
required

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
offset
integer
default:0
required

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
has_more
boolean
required

True if there are more items in the list to return. False if there are no more items to return.

Example:

false

data
Base Device · object[]
required

The list of devices.

total_count
integer<int64>

The total number of items in the list. By default the total count is not returned. The total count must be expanded (using expand=total_count) to get the total number of items in the list.

Last modified on March 13, 2026